Subject: Re: bug#25573: Adding btrfs support may break reconfigured system
From: [email-masked] (Ludovic Courtès)
To: Alex Kost <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Jan 2017 23:23:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alex Kost <[email-masked]> skribis:

> Ludovic Courtès (2017-01-30 10:41 +0100) wrote:
>
>> Hi,
>>
>> Alex Kost <[email-masked]> skribis:
>>
>>> Hello, recently I found that "guix system" makes a "broken" system for
>>> me.  When I boot a freshly created system, I get something like this:
>>>
>>>   In procedure <...> at ./gnu/build/file-systems.scm:282:4 (device)
>>>   In procedure fport_seek: Invalid argument
>>>
>>> and I'm thrown at the Guile promt.
>>
>> I think this is due to ‘read-superblock’ trying to seek beyond the end
>> of one of the devices that’s on your machine.
>>
>> Could you try the attached patch and see if it solves the problem?
>
> Yes, guix makes a bootable system with this modification, thank you!

Fixed in 2fe4ceee18f8687de8520d28dbfefc7bc3a7e084, thanks for testing!

Ludo’.